summaryrefslogtreecommitdiff
path: root/dev-python/cwcwidth
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-26 06:43:13 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-26 06:43:13 +0000
commit2797cc940a89b17c99cb401b83beba1fe1442368 (patch)
tree2bfad817a60105f1a0bee94a7dde5cca849bf958 /dev-python/cwcwidth
parent689a865f2e1044a4bf1c8fdceab47c4d87a282c0 (diff)
downloadbaldeagleos-repo-2797cc940a89b17c99cb401b83beba1fe1442368.tar.gz
baldeagleos-repo-2797cc940a89b17c99cb401b83beba1fe1442368.tar.xz
baldeagleos-repo-2797cc940a89b17c99cb401b83beba1fe1442368.zip
Adding metadata
Diffstat (limited to 'dev-python/cwcwidth')
-rw-r--r--dev-python/cwcwidth/cwcwidth-0.1.6-r1.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/cwcwidth/cwcwidth-0.1.6-r1.ebuild b/dev-python/cwcwidth/cwcwidth-0.1.6-r1.ebuild
new file mode 100644
index 000000000000..c5a996844860
--- /dev/null
+++ b/dev-python/cwcwidth/cwcwidth-0.1.6-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for wc(s)width"
+HOMEPAGE="
+ https://github.com/sebastinas/cwcwidth/
+ https://pypi.org/project/cwcwidth/"
+SRC_URI="
+ https://github.com/sebastinas/cwcwidth/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+src_test() {
+ cd tests || die
+ distutils-r1_src_test
+}